
        Version 17.61 TurboDial 2.33            Universal Line Printer Edition
        ZCOMM User Manual                                                  271

        swapped because modem interrupts call ZCOMM directly.


        34.1  DESQview

        DESQview 2.0 and 2.25 on 286 and 386 machines provids a congenial
        environment for ZCOMM.  DESQview versions between 2.0 and 2.25 should
        not be used.

        The Allow Close Window Command Advanced Option should be set to N,
        allowing ZCOMM to restore the serial port to a safe configuration when
        exiting.


        34.2  Microsoft Windows

        Windows lacks a preemptive scheduler.  Other programs can seize the
        computer for long periods, rendering background communications
        impossible.  When protocol file transfers (especially uploads) fail,
        run them in the foreground or set the other program to very relaxed
        timing.

        Windows int 10h support reduces ZCOMM's writing speed by more than 90
        per cent.  Since Windows will not give ZCOMM a full sized window, full
        screen interactive applications (screen editors, etc.) cannot be run
        from within a window.  ZCOMM will display normally if the .PIF file
        specifies direct screen writing.


























        (C) 1990 Omen Tech Inc      Chapter 34 Crosstalk-XVI Script Conversion


        Version 17.61 TurboDial 2.33            Universal Line Printer Edition
        ZCOMM User Manual                                                  272

        35.  CROSSTALK-XVI SCRIPT CONVERSION

        This chapter lists Crosstalk-XVI commands and gives the ZCOMM
        commands, modes, and parameters that perform equivalent or superior
        functions.

        ABort Use the abort command.

        ACcept ZCOMM's security protection is based on DOS directory trees and
            multiple levels of privilege controlled by passwords.

        ALarm Use the lput command to send a bell character (\7) to the local
            "screen".

        ANswerback Transmission of the answerback string parameter is enabled
            by the q mode.

        ASk Use the accept command.

        ATtention ALT-2 allows a ZCOMM command to be entered from term
            function.

        BKsize This command relates to Crosstalk's proprietary protocol.

        BLankex See blankfill string parameter.

        BReak ZCOMM uses ALT-B or Ctrl-Break to send a break.  A string or
            command assigned to the Ctrl-Break key supercedes its function in
            the term function.

        BYe Use the bye command.

        CApture Capture is always enabled in ZCOMM.

        CDir Use the cd command.  Unlike Crosstalk, ZCOMM supports full DOS
            pathnames wherever a file name is expected.

        CLear Use cls.

        COmmand In Host Operation, callers type commands directly to ZCOMM.

        CStat Use ALT-S or the s command for status information not shown by
            the term function status line.  The review function provides
            flexible buffer searching commands.

        CWait See the t mode and t numeric parameter.

        DAta Use the 7e, 7o, 7s, 7m, 8, 8n, 8e, or 8o mode.

        DEbug Use v or vv mode.  This may be toggled with ALT-V from the term
            function.  In addition, ZCOMM's v numeric parameter helps debug


        (C) 1990 Omen Tech Inc      Chapter 35 Crosstalk-XVI Script Conversion


        Version 17.61 TurboDial 2.33            Universal Line Printer Edition
        ZCOMM User Manual                                                  273

            scripts.

        DIr Use one of the dir commands.  Arguments correspond to DOS usage.

        DNames The maximum number of names in a directory expansion is
            controlled by the optional DOS DIRSIZE environment variable.
            Large directories slow DOS and should be avoided.  The DOS tree
            structure allows files to be logically grouped into directories.
            ZCOMM fully supports the DOS tree structure.

        DO  See the call, source, and gosub commands.

        DPrefix See the mprefix and mcommand string parameters.

        DRive Use "D:" to select a drive.

        DSuffix See the msuffix string parameter.

        DUplex Use h or H modes.  ALT-H toggles the half duplex modes from the
            term function.  Also see the chat command.

        EMulate See the display command and the A mode.  Function keys may be
            defined with the set command.

        ERase Use kill to clear the buffer, del to delete a file, browse to
            browse (and selectively delete) multiple files.

        FIlter See the i, s, and S modes.

        FKeys See the set, reskeys, and keys commands.

        GO  To dial a phone number, type the number directly, or use a call
            command.  call -n allows up to n retries at intervals set by the i
            numeric parameter.  ZCOMM does not need a special command to work
            with a direct RS-232 connection.

        HElp Use the help command.

        IF  See the ZCOMM if command and the i test condition.

        INfilter See the i, s, and S modes.

        JUmp Use goto label.

        LAbel Labels are denoted with a colon (:).

        LFauto See a mode, chat command.

        LIst Use the s command.




        (C) 1990 Omen Tech Inc      Chapter 35 Crosstalk-XVI Script Conversion


        Version 17.61 TurboDial 2.33            Universal Line Printer Edition
        ZCOMM User Manual                                                  274

        LOad Equivalent to the source or gosub commands.  Since ZCOMM does not
            load the script file into memory, there is no limit to the length
            of script files.

        LWait See the p, r, w, P modes.

        MEssage Use the echo or lput command.

        MOde See the manual chapter on Host Operation.

        NAme The name of the called location is taken from the telephone
            directory entry name.

        NO  This ia an internal Crosstalk command.

        NUmber The phone number is itself given as a command, either directly
            or as part of a script or telephone directory entry.

        OUtfilter See the r mode.

        PArity Use the 7e, 7o, 7s, 7m, 8, 8n, 8e, or 8o mode.

        PIcture Use ALT-Z to store a complete picture of the screen (including
            attributes) at ANY time.

        POrt Use the POrt command.

        PRinter Use the l mode, or toggle with ALT-L from the term function.
            ZCOMM buffers the printer to prevent loss of data.

        PWord See the password and unrestrict string parameters.

        QUit Use the off command.  ZCOMM writes the circular buffer to the
            receive file if one is open before exiting to DOS, but does not
            complain if none is open.

        RCve Crosstalk internal command.

        REply Use the put or mput command depending on timing considerations.

        RQuest The ZMODEM, YMODEM and Kermit batch transfer protocols
            supported by ZCOMM use filenames specified to the sending program.

        RWind Use a goto command to a label near the beginning of the script.

        SAve ZCOMM does not use "command files" in the sense that Crosstalk
            does.  The few operating parameters that ZCOMM needs set for
            interactive operation can be expressed conveniently in one line
            telephone directory entries.




        (C) 1990 Omen Tech Inc      Chapter 35 Crosstalk-XVI Script Conversion


        Version 17.61 TurboDial 2.33            Universal Line Printer Edition
        ZCOMM User Manual                                                  275

        SBreak Use the break command.

        SEnd Use the f command

        SKip Use the goto command.

        SNapshot Use ZCOMM's review function review past output from the
            remote.

        SPeed ZCOMM's speed command accepts all possible speeds from 75 to
            38400.  The whole number must be entered.

        STop Use an odd speed or 110 to force two stop bits.

        SWitch Use F1 to exit the term function back to the command prompt, F2
            or one of the cursor keys to get from the term function to review.

        TAbex ZCOMM does not expand tabs on uploaded files.  This is one
            Crosstalk feature for which there is no ZCOMM equivalent.

        TImer Use the display stat=off command to disable the term function
            status line.

        TYpe Use the review function to access the buffer contents.  The
            findm, type, more, and browse/r commands may be used to view disk
            files.

        UConly Use the u mode.

        WAit

            Echo Use the p mode.

            Quiet Use the wait command with a suitable timeout.

            Delay Use the sleep command.

            Char Use the p command with the g numeric parameter set to the
                desired character.

            Prompt Use the p or w mode.

            String Use the pattern and wait commands.  Case is significant.

            Until Use the if command a condition, alone or with the callout
                queue.

            Manual As above.

        WHen ZCOMM's pattern and wait commands allow development of scripts
            for unattended operation.


        (C) 1990 Omen Tech Inc      Chapter 35 Crosstalk-XVI Script Conversion


        Version 17.61 TurboDial 2.33            Universal Line Printer Edition
        ZCOMM User Manual                                                  276

        WRite Equivalent to the w command.

        XDos Equivalent to ZCOMM's x command.

        XMit This uses Crosstalk's proprietary protocol.  With ZMODEM, one can
            use sz on the local system to send files automatically.
            Otherwise, use rb in the remote system, sb on the local system.














































        (C) 1990 Omen Tech Inc                           Chapter 35 ASCII Code


        Version 17.61 TurboDial 2.33            Universal Line Printer Edition
        ZCOMM User Manual                                                  277

        36.  1968 ASCII CODE

        X3.64     Dec  Oct  Hex  EBCDIC

        0/0  000  000  00   00   NUL  ^@   Null, Ctrl-@
        0/1  001  001  01   01   SOH  ^A   Start of Header
        0/2  002  002  02   02   STX  ^B   Start of Text
        0/3  003  003  03   03   ETX  ^C   End of Text
        0/4  004  004  04   37   EOT  ^D   End of Transmission
        0/5  005  005  05   2D   ENQ  ^E   Enquire, WRU
        0/6  006  006  06   2E   ACK  ^F   HEREIS
        0/7  007  007  07   2F   BEL  ^G   Bell
        0/8  008  010  08   16   BS   ^H   Backspace, \b
        0/9  009  011  09   05   HT   ^I   TAB, \t
        0/10 010  012  0A   25   LF   ^J   Newline, NL, \n
        0/11 011  013  0B   0B   VT   ^K   Vertical Tab
        0/12 012  014  0C   0C   FF   ^L   Form Feed, \f
        0/13 013  015  0D   0D   CR   ^M   Return, \r,
        0/14 014  016  0E   0E   SO   ^N   Shift Out
        0/15 015  017  0F   0F   SI   ^O   Shift in

        1/0  016  020  10   10   DLE  ^P
        1/1  017  021  11   11   DC1  ^Q   XON, Start Reader
        1/2  018  022  12   12   DC2  ^R   DC2, Tape Punch ON
        1/3  019  023  13   13   DC3  ^S   XOFF, Stop Reader
        1/4  020  024  14   3C   DC4  ^T   DC4, Tape Punch OFF
        1/5  021  025  15   3D   NAK  ^U   Nak
        1/6  022  026  16   32   SYN  ^V   Sync
        1/7  023  027  17   26   ETB  ^W   End of Tape Block
        1/8  024  030  18   18   CAN  ^X   Cancel
        1/9  025  031  19   19   EM   ^Y   End of Medium
        1/10 026  032  1A   3F   SUB  ^Z   CP/M End of File
        1/11 027  033  1B   27   ESC  ^[   Escape, \E
        1/12 028  034  1C   1C   FS   ^\   File Separator
        1/13 029  035  1D   1D   GS   ^]   Group Separator
        1/14 030  036  1E   1E   RS   ^^   Record Separator
        1/15 031  037  1F   1F   US   ^_   Unit Separator
















        (C) 1990 Omen Tech Inc                           Chapter 36 ASCII Code


        Version 17.61 TurboDial 2.33            Universal Line Printer Edition
        ZCOMM User Manual                                                  278

        X3.64     Dec  Oct  Hex  EBCDIC

        2/0  032  040  20   40   SP   Space
        2/1  033  041  21   5A   !    Bang, exclamation mark
        2/2  034  042  22   7F   "    Double Quote
        2/3  035  043  23   7B   #
        2/4  036  044  24   5B   $
        2/5  037  045  25   6C   %
        2/6  038  046  26   50   &
        2/7  039  047  27   7D   '    Apostrophe, Single Quote
        2/8  040  050  28   4D   (
        2/9  041  051  29   5D   )
        2/10 042  052  2A   5C   *    Splat, Star, Nathan
        2/11 043  053  2B   4E   +
        2/12 044  054  2C   6B   ,    Comma
        2/13 045  055  2D   60   -
        2/14 046  056  2E   4B   .    Period
        2/15 047  057  2F   61   /    Slash, Stroke

        3/0  048  060  30   F0   0
        3/1  049  061  31   F1   1
        3/2  050  062  32   F2   2
        3/3  051  063  33   F3   3
        3/4  052  064  34   F4   4
        3/5  053  065  35   F5   5
        3/6  054  066  36   F6   6
        3/7  055  067  37   F7   7
        3/8  056  070  38   F8   8
        3/9  057  071  39   F9   9
        3/10 058  072  3A   7A   :
        3/11 059  073  3B   5E   ;
        3/12 060  074  3C   4C   <
        3/13 061  075  3D   7E   =
        3/14 062  076  3E   6E   >
        3/15 063  077  3F   6F   ?    Question Mark, Query


















        (C) 1990 Omen Tech Inc                           Chapter 36 ASCII Code


        Version 17.61 TurboDial 2.33            Universal Line Printer Edition
        ZCOMM User Manual                                                  279

        X3.64     Dec  Oct  Hex  EBCDIC

        4/0  064  100  40   7C   @    Commercial AT
        4/1  065  101  41   C1   A
        4/2  066  102  42   C2   B
        4/3  067  103  43   C3   C
        4/4  068  104  44   C4   D
        4/5  069  105  45   C5   E
        4/6  070  106  46   C6   F
        4/7  071  107  47   C7   G
        4/8  072  110  48   C8   H
        4/9  073  111  49   C9   I
        4/10 074  112  4A   D1   J
        4/11 075  113  4B   D2   K
        4/12 076  114  4C   D3   L
        4/13 077  115  4D   D4   M
        4/14 078  116  4E   D5   N
        4/15 079  117  4F   D6   O

        5/0  080  120  50   D7   P
        5/1  081  121  51   D8   Q
        5/2  082  122  52   D9   R
        5/3  083  123  53   E2   S
        5/4  084  124  54   E3   T
        5/5  085  125  55   E4   U
        5/6  086  126  56   E5   V
        5/7  087  127  57   E6   W
        5/8  088  130  58   E7   X
        5/9  089  131  59   E8   Y
        5/10 090  132  5A   E9   Z
        5/11 091  133  5B   AD   [    Left square bracket
        5/12 092  134  5C   E0   \    Backslash
        5/13 093  135  5D   BD   ]    Right Square Bracket
        5/14 094  136  5E   5F   ^    Circumflex, Up Arrow, Hat
        5/15 095  137  5F   6D   _    Underscore, Underline[1]












        __________

         1. 5/16    Back Arrow on older codes



        (C) 1990 Omen Tech Inc                           Chapter 36 ASCII Code


        Version 17.61 TurboDial 2.33            Universal Line Printer Edition
        ZCOMM User Manual                                                  280

        X3.64     Dec  Oct  Hex  EBCDIC

        6/0  096  140  60   79   `    Accent Grave
        6/1  097  141  61   81   a
        6/2  098  142  62   82   b
        6/3  099  143  63   83   c
        6/4  100  144  64   84   d
        6/5  101  145  65   85   e
        6/6  102  146  66   86   f
        6/7  103  147  67   87   g
        6/8  104  150  68   88   h
        6/9  105  151  69   89   i
        6/10 106  152  6A   91   j
        6/11 107  153  6B   92   k
        6/12 108  154  6C   93   l
        6/13 109  155  6D   94   m
        6/14 110  156  6E   95   n
        6/15 111  157  6F   96   o

        7/0  112  160  70   97   p
        7/1  113  161  71   98   q
        7/2  114  162  72   99   r
        7/3  115  163  73   A2   s
        7/4  116  164  74   A3   t
        7/5  117  165  75   A4   u
        7/6  118  166  76   A5   v
        7/7  119  167  77   A6   w
        7/8  120  170  78   A7   x
        7/9  121  171  79   A8   y
        7/10 122  172  7A   A9   z
        7/11 123  173  7B   C0   {    Left Brace
        7/12 124  174  7C   4F   |    Vertical Bar, Pipe[2]
        7/13 125  175  7D   D0   }    Right Brace, ALTMODE
        7/14 126  176  7E   7E   ~    Tilde, Squiggle [3]
        7/15 127  177  7F   07   ^?   DEL, RUBOUT










        __________

         2. "Confirm" on some older systems

         3. Escape on some older systems



        (C) 1990 Omen Tech Inc                      Chapter 36 Acknowledgments


        Version 17.61 TurboDial 2.33            Universal Line Printer Edition
        ZCOMM User Manual                                                  281

        37.  ACKNOWLEDGMENTS

        ZCOMM ("Yet Another Modem") could not have evolved to its current
        level of power, convenience, and refinement without help, advice, and
        other contributions from many kindred souls over the years.

        Digital Equipment Corporation developed the PDP-8, PDP-10, and PDP-11
        computers with which I first learned practical data communications
        techniques.  Ray Zapp and Bob Chesney used the first forerunners of
        Zcomm.  Ward Christensen developed the MODEM (XMODEM) file transfer
        protocol and the MODEM series programs.  Dennis M. Ritchie developed
        the C programming language.  Leor Zohlman wrote BDS C, the cuspiest C
        compiler for CP/M, without which CP/M Yam might have been written in
        Pascal (if at all).  Jack M. Wierda and Roderick W. Hart wrote
        CMODEM13.C, the distant ancestor of Zcomm's XMODEM and YMODEM protocol
        handler.  32 bit CRC code courtesy Gary S. Brown.  Directory creation
        code from John Gilmore's PD TAR program.  Richard Greenlaw wrote
        SQueeze and UnSQueese, Huffman compression programs and wildcard
        filename expansion routines.  Filename expansion routines used on some
        flavors is based on code by Guido van Rossum CWI, Amsterdam
        <guido@mcvax.uucp>.  Gordon Collett, CDI VP of Engineering, supported
        the development and public domain distribution of 8 bit YAM.
        Microsoft Corporation developed MS-DOS, providing interesting
        debugging experiences.  Pacific Northwest Bell regularly provides
        protocol stress testing.  Bob Richardson, Carl Raff, Scott Lowe, Ken
        Brassler, authored documentation describing Compuserve's mysterious A
        and B protocols.  Jeff Martin, Paul Homchick, Paul Bingman, David
        Sternlight, Big Red, and Barefoot John provided encouragement and
        suggestions.  Charles McGuinness wrote COMSH, which provided some
        ideas for ZCOMM's script facility.  Stephen Satchell wrote much of the
        original Cribsheet.  James R. Butler provided numerous suggestions for
        improving this Manual.  Numerous script examples shown here were
        written by Earle Robinson, author of the ejryam scripts for accessing
        CompuServe.

        The ZCOMM flash-up help file compiler and display program were
        originated by Seaquest Software, Pete Mackie President.

        The KERMIT protocol was developed by the Columbia University Center
        for Computing Activities.  KERMIT is available for many systems for
        only a nominal fee from Columbia and from various user group
        organizations, such as DECUS and SHARE.  Columbia University holds the
        copyright on the KERMIT protocol.  Columbia University does not
        warrant in any way the KERMIT software nor the accuracy of any related
        documentation, and neither the authors of any KERMIT programs or
        documentation nor Columbia University acknowledge any liability
        resulting from program or documentation errors.

        ZCOMM "m" versions are compiled with the SCO System V Xenix to DOS
        Cross Compiler.  Other C programs are compiled with Computer
        Innovations' C86 and Lattice C.


        (C) 1990 Omen Tech Inc                      Chapter 37 Acknowledgments


        Version 17.61 TurboDial 2.33            Universal Line Printer Edition
        ZCOMM User Manual                                                  282

        The High Reliability Software(TM), TurboLearn Script Writer(TM),
        Cybernetic Data Recovery(TM), ZMODEM-90(TM), ZMODEM AutoDownload(TM),
        Intelligent Crash Recovery(TM), Error Containment(TM), Full Time
        Capture(TM), True YMODEM(TM), OverThruster(TM), Password Guardian(TM),
        CryptoScript(TM), and TurboDial(TM) are Omen Technology trademarks.
        CBBS is a trademark of Ward Christensen and Randy Suess.  CP/M is a
        trademark of Digital Research.  DEC and VT100 are trademarks of
        Digital Equipment Corporation.  DESQview is a trademark of Quarterdeck
        Office Systems.  KERMIT is a trademark of Henson Associates, Inc.,
        creators of The Muppet Show.  MS-DOS is a trademark of Microsoft.
        TopView is a trademark of IBM.  TWX is a trademark of Teletype
        Corporation.  Unix is a trademark of Western Electric.

        This document is Copyright 1984, 1985, 1986, 1987, 1988, 1989, 1990
        Omen Technology Incorporated, All Rights Reserved.  It was formatted
        6-26-90.





































        (C) 1990 Omen Tech Inc                      Chapter 98 Acknowledgments


        Version 17.61 TurboDial 2.33            Universal Line Printer Edition
        ZCOMM User Manual                                                  283

        99.  MISSING CHAPTERS

        Chapter 99 is a psuedo chapter number referring to chapters of the
        Pro-YAM User Manual[1] that are not included in the ZCOMM line printer
        edition.










































        __________

         1. Supplied with ZCOMM registration.



        (C) 1990 Omen Tech Inc                      Chapter 99 Acknowledgments


        Version 17.61 TurboDial 2.33            Universal Line Printer Edition
        ZCOMM User Manual                                                  284

        100.  CROSS REFERENCE INDEX




















































        (C) 1990 Omen Tech Inc                     Chapter 100 Acknowledgments





                                       CONTENTS



          1.  INTRODUCTION...............................................    2


          2.  ZCOMM REGISTRATION.........................................    7


          3.  ZCOMM's Big Brother........................................    9


          4.  DESIGN PHILOSOPHY..........................................   11


          5.  ROSETTA STONE..............................................   13


          6.  INSTALLING ZCOMM...........................................   19


          7.  UNLEASHING THE MODEM.......................................   22


          8.  YOUR TELEPHONE DIRECTORY...................................   33


          9.  HANDS ON TUTORIAL..........................................   38


         10.  ACCESSING COMPUTER SYSTEMS.................................   42


         11.  FILE NAMES Good and Bad....................................   44


         12.  PROTOCOL FILE TRANSFERS....................................   47


         13.  MESSAGE TRANSFERS..........................................   65


         14.  FLOW CONTROL...............................................   70


         15.  RUNNING ZCOMM..............................................   74


         16.  OUTLINE OF COMMANDS........................................   79









         17.  SPECIAL KEYS...............................................   84


         18.  MAIN COMMANDS..............................................   87


         19.  OPTIONS for Protocol File Transfers........................  151


         20.  MODES for Data Capture.....................................  158


         21.  TERM FUNCTION..............................................  169


         22.  REVIEW FUNCTION............................................  179


         23.  NUMERIC PARAMETERS.........................................  183


         24.  STRING PARAMETERS..........................................  199


         25.  CHARACTER ESCAPES..........................................  215


         26.  TEST CONDITIONS (if, on, while commands)...................  223


         27.  HOST OPERATION / REMOTE CONTROL............................  232


         28.  TERMINAL (CRT) EMULATION...................................  239


         29.  LOGGING ENTRIES............................................  244


         30.  ERROR (and other) MESSAGES.................................  247


         31.  HINTS AND KINKS............................................  259


         32.  BUGS.......................................................  262


         33.  HARDWARE/SOFTWARE COMPATABILITY............................  264










         34.  BACKGROUND OPERATION.......................................  270


         35.  CROSSTALK-XVI SCRIPT CONVERSION............................  272


         36.  1968 ASCII CODE............................................  277


         37.  ACKNOWLEDGMENTS............................................  281


         99.  MISSING CHAPTERS...........................................  283


        100.  CROSS REFERENCE INDEX......................................  284







































